Merge gettext 0.18.1.1-3 (main) from Debian unstable (main)

Bug #678161 reported by Jesper Larsen on 2010-11-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gettext (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: gettext

Please merge gettext 0.18.1.1-3 (main) from Debian unstable (main)

Changelog entries since current natty version 0.18.1.1-1ubuntu2

gettext (0.18.1.1-3) unstable; urgency=high

  * Do not include /usr/share/info/dir.gz file in binary package if
    install-info is present during the build. Closes: #597407.

 -- Santiago Vila <email address hidden> Sun, 19 Sep 2010 17:09:36 +0200

gettext (0.18.1.1-2) unstable; urgency=medium

  * Changed lynx to lynx-cur in gettext Recommends, as lynx is a dummy
    transitional package. Closes: #595741.

 -- Santiago Vila <email address hidden> Sat, 11 Sep 2010 13:11:40 +0200

Related branches

Jesper Larsen (knorr) wrote :

gettext (0.18.1.1-3ubuntu1) natty; urgency=low

  * Merge from Debian testing (LP: #678161). Remaining changes:
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - debian/control: Drop autopoint recommends of gettext. It pulls in git and
      other sizable packages which make the CDs explode.

 -- Jesper Larsen <email address hidden> Sun, 21 Nov 2010 16:38:48 +0100

Artur Rona (ari-tczew) wrote :

You forgot to subscribe ubuntu-sponsors.
Could you attach also debdiff in relation debian -> ubuntu?
$ debdiff gettext_0.18.1.1-3.dsc gettext_0.18.1.1-3ubuntu1.dsc > debian-ubuntu.debdiff

Alessio Treglia (quadrispro) wrote :

gettext 0.18.1.1-1ubuntu3 hit Natty few hours ago.
Could you update the patch?

Changed in gettext (Ubuntu):
importance: Undecided → Wishlist
status: New → Incomplete
assignee: nobody → Jesper Larsen (knorr)
Jesper Larsen (knorr) wrote :

New debdiff for debian -> ubuntu

Jesper Larsen (knorr) wrote :

New debdiff for ubuntu -> ubuntu

Changed in gettext (Ubuntu):
assignee: Jesper Larsen (knorr) → nobody
status: Incomplete → Confirmed
Alessio Treglia (quadrispro) wrote :

These changes aren't mentioned in the changelog:

-Conflicts: autopoint (<= 0.17-11)
+Conflicts: autopoint (<< 0.18-1)

-Replaces: gettext (<= 0.17-11)
+Replaces: gettext (<< 0.18-1)

Please update the patch and elaborate why they are still needed.

Changed in gettext (Ubuntu):
assignee: nobody → Jesper Larsen (knorr)
status: Confirmed → Incomplete
Alessio Treglia (quadrispro) wrote :

Unsubscribing sponsors for now.

Jesper Larsen (knorr) wrote :

Ah, that one got away. Thanks. New debdiff files.

Jesper Larsen (knorr) wrote :
Changed in gettext (Ubuntu):
assignee: Jesper Larsen (knorr) → nobody
Changed in gettext (Ubuntu):
assignee: nobody → Alessio Treglia (quadrispro)
status: Incomplete → In Progress
Alessio Treglia (quadrispro) wrote :

Looks good to me now, I've just fixed the changelog as follows:

+gettext (0.18.1.1-3ubuntu1) natty; urgency=low
+
+ * Merge from Debian testing (LP: #678161). Remaining changes:
+ - Build with --no-as-needed, needs more work, as plugins are used.
+ - Build Java components with gcj.
+ - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
+ - Explicitly configure with --disable-csharp.
+ - Keep gettext.jar in /usr/share/gettext instead of moving it to
+ /usr/share/java.
+ - debian/control:
+ + Drop autopoint recommends of gettext. It pulls in git and
+ other sizable packages which make the CDs explode.
+ + Bump Replaces on gettext and Conflicts on autopoint to (<< 0.18-1)
+ rather than (<= 0.17-11), to accommodate previous Ubuntu versions.
+
+ -- Jesper Larsen <email address hidden> Sun, 21 Nov 2010 16:38:48 +0100

Changed in gettext (Ubuntu):
status: In Progress → Fix Committed
assignee: Alessio Treglia (quadrispro) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gettext - 0.18.1.1-3ubuntu1

---------------
gettext (0.18.1.1-3ubuntu1) natty; urgency=low

  * Merge from Debian testing (LP: #678161). Remaining changes:
    - Build with --no-as-needed, needs more work, as plugins are used.
    - Build Java components with gcj.
    - Throw away /usr/lib/gettext/gnu.gettext*; we don't need them.
    - Explicitly configure with --disable-csharp.
    - Keep gettext.jar in /usr/share/gettext instead of moving it to
      /usr/share/java.
    - debian/control:
      + Drop autopoint recommends of gettext. It pulls in git and
        other sizable packages which make the CDs explode.
      + Bump Replaces on gettext and Conflicts on autopoint to (<< 0.18-1)
        rather than (<= 0.17-11), to accommodate previous Ubuntu versions.

gettext (0.18.1.1-3) unstable; urgency=high

  * Do not include /usr/share/info/dir.gz file in binary package if
    install-info is present during the build. Closes: #597407.

gettext (0.18.1.1-2) unstable; urgency=medium

  * Changed lynx to lynx-cur in gettext Recommends, as lynx is a dummy
    transitional package. Closes: #595741.
 -- Jesper Larsen <email address hidden> Sun, 21 Nov 2010 16:38:48 +0100

Changed in gettext (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers